using Gtk;
using Tutorial;

namespace Tutorial {
	public class SimpleApp : Gtk.Window {
		/* Retrollamada para la senhal delete_event (cerrar la ventana):
		 * http://references.valadoc.org/gtk+-2.0/Gtk.Widget.delete_event.html
		 */
		[Callback]
		public bool on_delete_event (SimpleApp widget, Gdk.Event event) {
			Gtk.main_quit();
			return true;
		}
	
		public SimpleApp () {
			type = Gtk.WindowType.TOPLEVEL;
			
			/* Agregamos un boton */
			var etiqueta = new Gtk.Label ("Hablamos del mileniarismo...");
			add (etiqueta);
			
			delete_event += on_delete_event;
			
			show_all ();
		}
	}
}

public static int main (string[] args) {
	Gtk.init (ref args); /* Inicializamos Gtk+ */
	
	var aplicacion = new SimpleApp ();
	
	Gtk.main (); /* Ejecutamos el bucle principal de la aplicacion */
	return 0;
}
