using Tutorial;

namespace Tutorial {
	/* Interfaz con una propiedad y un metodo abstracto */
	public interface Interfaz : Object {
		public abstract int propiedad {get;set;}
		public abstract void metodo ();
	}
	
	/* Primera implementacion de la interfaz */
	public class Implementacion1 : Object, Interfaz {
		public int propiedad {get;set;}
		
		public void metodo () {
			debug ("Implementacion 1: propiedad %d", propiedad);
		}
		
		public Implementacion1 () {
			propiedad = 5;
		}
	}

	/* Primera implementacion de la interfaz */
	public class Implementacion2 : Object, Interfaz {
		public int propiedad {get;set;}
		
		public void metodo () {
			debug ("Implementacion 2: propiedad %d", propiedad);
		}
		
		public Implementacion2 () {
			propiedad = 5;
		}
	}
}

public static int main (string[] args) {
	Interfaz impl1 = new Implementacion1() as Interfaz;
	Interfaz impl2 = new Implementacion2() as Interfaz;
	impl1.metodo();
	impl2.metodo();	
	return 0;
}
