using Gtk; /* --pkg gtk-2.0 para encontrar vapi y ejecutar pkg-config */
using Tutorial;

namespace Tutorial {
	/* Heredamos de Gtk.Window:
	 * http://references.valadoc.org/gtk+-2.0/Gtk.Window.html */
	public class SimpleApp : Gtk.Window {
		public SimpleApp () {
		
			/* Asignamos el tipo de ventana a la propiedad type:
			 * http://references.valadoc.org/gtk+-2.0/Gtk.Window.type.html */
			type = Gtk.WindowType.TOPLEVEL;
			
			/* Agregamos una etiqueta */
			var etiqueta = new Gtk.Label ("Hablamos del mileniarismo...");
			add (etiqueta);
			
			show_all ();
		}
	}
}

public static int main (string[] args) {
	Gtk.init (ref args); /* Inicializamos Gtk+ */
	
	var aplicacion = new SimpleApp ();
	
	Gtk.main (); /* Ejecutamos el bucle principal de la aplicacion */
	return 0;
}
